io.vertx.ext.auth

## Interface User

- All Known Subinterfaces:
    AccessToken
  All Known Implementing Classes:
    AbstractUser

      public interface User

  Represents an authenticates User and contains operations to authorise the user.

  Please consult the documentation for a detailed explanation.

  Author:
    Tim Fox

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `User` | `clearCache()` Deprecated.
    `default User` | `isAuthorised(String authority, Handler<AsyncResult<Boolean>> resultHandler)` Deprecated. See `isAuthorized(String, Handler)`
    `User` | `isAuthorized(String authority, Handler<AsyncResult<Boolean>> resultHandler)` Deprecated.
    `JsonObject` | `principal()` Get the underlying principal for the User.
    `void` | `setAuthProvider(AuthProvider authProvider)` Deprecated.

- - ### Method Detail

    - #### isAuthorized

          @Deprecated
          User isAuthorized(String authority,
                                        Handler<AsyncResult<Boolean>> resultHandler)

      Deprecated.
      Is the user authorised to
      Parameters:
        `authority` - the authority - what this really means is determined by the specific implementation. It might represent a permission to access a resource e.g. `printers:printer34` or it might represent authority to a role in a roles based model, e.g. `role:admin`.
        `resultHandler` - handler that will be called with an `AsyncResult` containing the value `true` if the they has the authority or `false` otherwise.
      Returns:
        the User to enable fluent use

    - #### isAuthorised

          @Deprecated
          default User isAuthorised(String authority,
                                                Handler<AsyncResult<Boolean>> resultHandler)

      Deprecated. See `isAuthorized(String, Handler)`

    - #### clearCache

          @Deprecated
          User clearCache()

      Deprecated.
      The User object will cache any authorities that it knows it has to avoid hitting the underlying auth provider each time. Use this method if you want to clear this cache.
      Returns:
        the User to enable fluent use

    - #### principal

          JsonObject principal()

      Get the underlying principal for the User. What this actually returns depends on the implementation. For a simple user/password based auth, it's likely to contain a JSON object with the following structure:

             {
               "username", "tim"
             }

      Returns:
        JSON representation of the Principal

    - #### setAuthProvider

          @Deprecated
          void setAuthProvider(AuthProvider authProvider)

      Deprecated.
      Set the auth provider for the User. This is typically used to reattach a detached User with an AuthProvider, e.g. after it has been deserialized.
      Parameters:
        `authProvider` - the AuthProvider - this must be the same type of AuthProvider that originally created the User

Copyright © 2020 Eclipse. All rights reserved.